Bug 1277594 - [Wayland] eclipse freezes on start instead of showing workspace selector
[Wayland] eclipse freezes on start instead of showing workspace selector
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Roland Grunberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 10:48 EST by Christian Stadelmann
Modified: 2015-11-23 15:57 EST (History)
9 users (show)

See Also:
Fixed In Version: eclipse-4.5.1-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 15:57:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb log attached to eclipse, with full backtrace on all threads (7.73 KB, text/plain)
2015-11-03 10:48 EST, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2015-11-03 10:48:41 EST
Created attachment 1089101 [details]
gdb log attached to eclipse, with full backtrace on all threads

Version-Release number of selected component (if applicable):
eclipse-swt-4.5.1-2.fc23.x86_64
eclipse-platform-4.5.1-2.fc23.x86_64
java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.x86_64
eclipse-cdt-8.8.0-3.fc23.x86_64

How reproducible:
on every start on wayland, even with ~/.eclipse deleted

Steps to Reproduce:
1. start eclipse

Actual results:
1. Eclipse starts a splash screen
2. Eclipse hides the splash screen
3. Now it should display a workspace switcher. Instead it runs in a 100% CPU busy loop (single core)

Alternatively you can start eclipse-cdt (`$ cdtdebug`). It does not show a workspace switcher (workspace is preconfigured) but freezes with 100% CPU load when displaying the main window.
Comment 1 Eric Williams 2015-11-03 11:04:25 EST
Hi Christian,

This bug has been fixed upstream in Eclipse: https://bugs.eclipse.org/bugs/show_bug.cgi?id=480986

I imagine it should be in Fedora 23 in the next week or so.

In the meantime, I suggest running Eclipse on X at least once to set a workspace location: that way you can launch on Wayland thereafter with a pre-selected workspace enabled.
Comment 2 Roland Grunberg 2015-11-03 14:03:38 EST
Eric has confirmed the fix will work on F23, so I'll be pushing http://koji.fedoraproject.org/koji/taskinfo?taskID=11690227 as an update once it completes.
Comment 3 Fedora Update System 2015-11-04 11:47:23 EST
eclipse-4.5.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6db6a8ca4d
Comment 4 Fedora Update System 2015-11-04 20:27:48 EST
eclipse-4.5.1-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update eclipse'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6db6a8ca4d
Comment 5 Alexander Kurtakov 2015-11-09 08:07:39 EST
Reassigned to Roland as he handles it.
Comment 6 Fedora Update System 2015-11-23 15:57:22 EST
eclipse-4.5.1-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.